#
# Conditional build:
%bcond_without	tests	# regression tests

Summary:	GIF-manipulation library
Summary(es.UTF-8):	Biblioteca de manipulación de archivos GIF
Summary(pl.UTF-8):	Biblioteka do obróbki plików GIF
Summary(pt_BR.UTF-8):	Biblioteca de manipulação de arquivos GIF
Summary(ru.UTF-8):	Библиотека для работы с GIF-файлами
Summary(uk.UTF-8):	Бібліотека для роботи з GIF-файлами
Name:		giflib
Version:	5.2.1
Release:	1
License:	MIT-like
Group:		Libraries
Source0:	http://downloads.sourceforge.net/giflib/%{name}-%{version}.tar.gz
# Source0-md5:	6f03aee4ebe54ac2cc1ab3e4b0a049e5
Patch0:		%{name}-make.patch
URL:		http://sourceforge.net/projects/giflib/
BuildRequires:	gcc >= 5:3.2
BuildRequires:	netpbm-devel
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	sed
BuildRequires:	xmlto
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GIF loading and saving shared library. This version uses LZW
compression (warning: patent/license issues in some countries).

%description -l es.UTF-8
Es una biblioteca compartida para carga y grabación de archivos GIF.

%description -l pl.UTF-8
Biblioteki dynamiczne do kompresowania i dekompresowania plików w
formacie GIF. Ta wersja przy zapisie używa konwersji LZW (uwaga: w
niektórych krajach powoduje to problemy związane z patentem i
koniecznością nabycia licencji).

%description -l pt_BR.UTF-8
Biblioteca compartilhada para carga e gravação de arquivos GIF.

%description -l ru.UTF-8
Библиотека для загрузки и сохранения GIF-файлов.

%description -l uk.UTF-8
Бібліотека для загрузки та збереження GIF-файлів.

%package devel
Summary:	GIF-manipulation library header files and documentation
Summary(es.UTF-8):	Archivos de inclusión, bibliotecas para biblioteca de manipulación de GIF
Summary(pl.UTF-8):	Pliki nagłówkowe oraz dokumentacja do formatu GIF
Summary(pt_BR.UTF-8):	Arquivos de inclusão, bibliotecas para biblioteca de manipulação de GIF
Summary(ru.UTF-8):	Хедеры, библиотеки и документация GIF-библиотеки
Summary(uk.UTF-8):	Хедери, бібліотеки та документація GIF-бібліотеки
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	libungif-devel
Obsoletes:	giflib4-devel
Obsoletes:	libungif-devel

%description devel
Libraries and headers needed for developing programs that use libgif
to load and save GIF image files.

%description devel -l es.UTF-8
Archivos de inclusión, bibliotecas y documentación para biblioteca de
manipulación de GIF.

%description devel -l pl.UTF-8
Biblioteki i pliki nagłówkowe niezbędne przy kompilacji programów
wykorzystujących libgif.

%description devel -l pt_BR.UTF-8
Arquivos de inclusão, bibliotecas para biblioteca de manipulação de
GIF.

%description devel -l ru.UTF-8
Хедеры и библиотеки, необходимые для разработки программ, использующих
giflib для загрузки и сохранения изображений в формате GIF.

%description devel -l uk.UTF-8
Хедери та бібліотеки, необхідні для розробки програм, що
використовують giflib для загрузки та збереження зображень у форматі
GIF.

%package static
Summary:	GIF-manipulation static library
Summary(pl.UTF-8):	Biblioteki statyczne do obróbki plików GIF
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com libungif
Summary(ru.UTF-8):	Статические библиотеки GIF-библиотеки
Summary(uk.UTF-8):	Статичні бібліотеки GIF-бібліотеки
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	libungif-static
Obsoletes:	giflib4-static
Obsoletes:	libungif-static

%description static
Static libraries needed for developing programs that use libgif to
load and save GIF image files.

%description static -l pl.UTF-8
Biblioteki statyczne do obróbki plików GIF.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com libgif.

%description static -l ru.UTF-8
Это отдельный пакет со статическими библиотеками, которые больше не
входят в libgif-devel.

%description static -l uk.UTF-8
Це окремий пакет зі статичними бібліотеками, що більше не входять до
складу libgif-devel.

%package progs
Summary:	Programs for converting and transforming GIF images
Summary(pl.UTF-8):	Programy do konwertowania plików w formacie GIF
Summary(ru.UTF-8):	Программы для конвертирования и обработки GIF-файлов
Summary(uk.UTF-8):	Програми для конвертування та обробки GIF-файлів
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}
Provides:	libungif-progs
Obsoletes:	giflib4-progs
Obsoletes:	libungif-progs

%description progs
This package contains various programs for manipulating GIF image
files.

%description progs -l pl.UTF-8
Ten pakiet zawiera różnorodne programy obsługujące pliki w formacie
GIF.

%description progs -l ru.UTF-8
Этот пакет содержит различные программы для обработки GIF-файлов.

%description progs -l uk.UTF-8
Цей пакет містить різноманітні програми для обробки GIF-файлів.

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	OFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%if %{with tests}
ln -sf libgif.so libgif.so.7
LD_LIBRARY_PATH=$(pwd) \
%{__make} -j1 check
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix} \
	LIBDIR=%{_libdir}

# docs for not installed programs used in tests
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/{gifbg,gifcolor,gifecho,gifhisto,gifinto,gifwedge}.1

cd $RPM_BUILD_ROOT%{_libdir}
ln -sf libgif.so.*.*.* $RPM_BUILD_ROOT%{_libdir}/libungif.so
ln -sf libgif.a $RPM_BUILD_ROOT%{_libdir}/libungif.a

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog NEWS README TODO history.adoc
%attr(755,root,root) %{_libdir}/libgif.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgif.so.7

%files devel
%defattr(644,root,root,755)
%doc doc/{gif_lib,intro}.html doc/whatsinagif
%attr(755,root,root) %{_libdir}/libgif.so
%attr(755,root,root) %{_libdir}/libungif.so
%{_includedir}/gif_lib.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libgif.a
%{_libdir}/libungif.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gif2rgb
%attr(755,root,root) %{_bindir}/gifbuild
%attr(755,root,root) %{_bindir}/gifclrmp
%attr(755,root,root) %{_bindir}/giffix
%attr(755,root,root) %{_bindir}/giftext
%attr(755,root,root) %{_bindir}/giftool
%{_mandir}/man1/gif2rgb.1*
%{_mandir}/man1/gifbuild.1*
%{_mandir}/man1/gifclrmp.1*
%{_mandir}/man1/giffix.1*
%{_mandir}/man1/giflib.1*
%{_mandir}/man1/giftext.1*
%{_mandir}/man1/giftool.1*
%changelog
* Tue Aug 13 2019 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/giflib.git;a=log;h=master

* Thu Jul 25 2019 Jakub Bogusz <qboosh@pld-linux.org> 2a9e299
- updated to 5.2.1; gifecho and gifinto no longer installed (upstream)

* Fri Apr 26 2019 Jakub Bogusz <qboosh@pld-linux.org> 1455bfa
- updated to 5.1.9
- updated make patch

* Wed Mar 27 2019 Jakub Bogusz <qboosh@pld-linux.org> ced4dc9
- updated to 5.1.8
- updated make patch

* Wed Mar 13 2019 Jan Rękorajski <baggins@pld-linux.org> ed4d221
- release 2 (by relup.sh)

* Tue Mar 12 2019 Adam Gołębiowski <adamg@pld-linux.org> 02ae465
- updated to 5.1.7

* Sat Mar 09 2019 Jakub Bogusz <qboosh@pld-linux.org> 2454baa
- updated to 5.1.6 (fixes CVE-2018-11490)
- added make patch to fix issues introduced when dropping autotools build system
- no autotools means no .la file

* Mon Apr 04 2016 Jakub Bogusz <qboosh@pld-linux.org> 7c710b9
- updated to 5.1.4

* Fri Mar 18 2016 Jakub Bogusz <qboosh@pld-linux.org> 2d92088
- updated to 5.1.3
- removed obsolete giflib patch

* Sun Jan 31 2016 Jakub Bogusz <qboosh@pld-linux.org> 17f98a3
- added git patch (hardening, uninitialized memory usage fixes); release 2

* Sat Jan 09 2016 Jakub Bogusz <qboosh@pld-linux.org> 288c67c
- updated to 5.1.2

* Fri Jul 03 2015 Jakub Bogusz <qboosh@pld-linux.org> 5d6d30b
- updated to 5.1.1

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> e7b0557
- x32 rebuild
- release 2 (by relup.sh)

* Tue Jun 10 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> c533586
- up to 5.1.0

* Thu Jan 23 2014 Jakub Bogusz <qboosh@pld-linux.org> 0cc3cc7
- updated to 5.0.5 (note: new soname; most less usefull progs are gone);
  giflib 4.x available on giflib-4 branch or as giflib4 package
- removed obsolete link patch
- removed libungif.so.4 compatibility stuff (only libungif.so and libungif.a symlinks left)

* Thu Jan 23 2014 Jakub Bogusz <qboosh@pld-linux.org> 78f9610
- updated to 4.2.3 (latest 4.x release)
- removed obsolete segfault, format-security patches
- urt/rle and few other rare formats conversion support is gone

* Wed Jan 22 2014 Jakub Bogusz <qboosh@pld-linux.org> c550f44
- more verbose lib, include, bin, man files
- check-files cleanup
- unified License tag

* Wed Jan 22 2014 Witold Filipczyk <witekfl@poczta.onet.pl> e1d1740
- long sourceforge source url
- ghost soname symlink
- rel 5

* Wed Dec 12 2012 Jan Rękorajski <baggins@pld-linux.org> 7debbfe
- fix format string warnings
- rel 4

* Sat Jan 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 7e0ac32
- release 3

* Wed Jun 17 2009 hawk <hawk@pld-linux.org> 2b8dbe6
- release 2

